# Uses of Interface
org.opensaml.saml.saml2.metadata.EntityDescriptor

Packages that use EntityDescriptor
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.common.messaging.context.navigate
Functions to navigate SAML message contexts.
org.opensaml.saml.common.messaging.soap
Support classes for SAML SOAP message operations.
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.
org.opensaml.saml.metadata.criteria.entity.impl
Implementation classes related to `EntityDescriptor` criteria, particularly evaluable (predicate) criteria.
org.opensaml.saml.metadata.resolver
Classes for SAML metadata resolution.
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.
org.opensaml.saml.metadata.resolver.index
Classes for SAML metadata indexing.
org.opensaml.saml.metadata.resolver.index.impl
Implementation of the metadata resolver indexes.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of EntityDescriptor in org.opensaml.saml.common.messaging.context

Fields in org.opensaml.saml.common.messaging.context declared as EntityDescriptor
Modifier and Type
Field
Description
`private EntityDescriptor`
SAMLMetadataContext.`entityDescriptor`
The descriptor of the SAML entity.
Methods in org.opensaml.saml.common.messaging.context that return EntityDescriptor
Modifier and Type
Method
Description
`EntityDescriptor`
SAMLMetadataContext.`getEntityDescriptor()`
Gets the descriptor of the SAML entity.
Methods in org.opensaml.saml.common.messaging.context with parameters of type EntityDescriptor
Modifier and Type
Method
Description
`void`
SAMLMetadataContext.`setEntityDescriptor(EntityDescriptor descriptor)`
Sets the descriptor of the SAML entity.

## Uses of EntityDescriptor in org.opensaml.saml.common.messaging.context.navigate

Methods in org.opensaml.saml.common.messaging.context.navigate that return EntityDescriptor
Modifier and Type
Method
Description
`EntityDescriptor`
EntityDescriptorLookupFunction.`apply(SAMLMetadataContext input)`

## Uses of EntityDescriptor in org.opensaml.saml.common.messaging.soap

Fields in org.opensaml.saml.common.messaging.soap declared as EntityDescriptor
Modifier and Type
Field
Description
`private EntityDescriptor`
SAMLSOAPClientContextBuilder.`peerEntityDescriptor`
The SAML peer EntityDescriptor.
Methods in org.opensaml.saml.common.messaging.soap that return EntityDescriptor
Modifier and Type
Method
Description
`EntityDescriptor`
SAMLSOAPClientContextBuilder.`getPeerEntityDescriptor()`
Get the SAML peer EntityDscriptor.
Methods in org.opensaml.saml.common.messaging.soap with parameters of type EntityDescriptor
Modifier and Type
Method
Description
`SAMLSOAPClientContextBuilder<InboundMessageType,OutboundMessageType>`
SAMLSOAPClientContextBuilder.`setPeerEntityDescriptor(EntityDescriptor entityDescriptor)`
Set the SAML peer EntityDescriptor.

## Uses of EntityDescriptor in org.opensaml.saml.common.profile.logic

Methods in org.opensaml.saml.common.profile.logic with parameters of type EntityDescriptor
Modifier and Type
Method
Description
`protected RegistrationInfo`
AbstractRegistrationInfoPredicate.`getRegistrationInfo(EntityDescriptor entity)`
Get the `RegistrationInfo` extension associated with an entity, if any.
`boolean`
AbstractRegistrationInfoPredicate.`test(EntityDescriptor input)`
`boolean`
EntityAttributesPredicate.`test(EntityDescriptor input)`
`boolean`
EntityGroupNamePredicate.`test(EntityDescriptor input)`
`boolean`
EntityIdPredicate.`test(EntityDescriptor input)`
`boolean`
EntityRegexPredicate.`test(EntityDescriptor input)`

## Uses of EntityDescriptor in org.opensaml.saml.metadata.criteria.entity.impl

Methods in org.opensaml.saml.metadata.criteria.entity.impl with parameters of type EntityDescriptor
Modifier and Type
Method
Description
`boolean`
EvaluableEntityRoleEntityDescriptorCriterion.`test(EntityDescriptor entityDescriptor)`

## Uses of EntityDescriptor in org.opensaml.saml.metadata.resolver

Methods in org.opensaml.saml.metadata.resolver that return EntityDescriptor
Modifier and Type
Method
Description
`EntityDescriptor`
ChainingMetadataResolver.`resolveSingle(CriteriaSet criteria)`
Methods in org.opensaml.saml.metadata.resolver that return types with arguments of type EntityDescriptor
Modifier and Type
Method
Description
`Iterable<EntityDescriptor>`
ChainingMetadataResolver.`resolve(CriteriaSet criteria)`
Method parameters in org.opensaml.saml.metadata.resolver with type arguments of type EntityDescriptor
Modifier and Type
Method
Description
`private Set<String>`
ChainingMetadataResolver.`collectEntityIDs(Iterable<EntityDescriptor> descriptors)`
Collect the unique entityIDs from the supplied iterable of entity descriptors.

## Uses of EntityDescriptor in org.opensaml.saml.metadata.resolver.filter.impl

Fields in org.opensaml.saml.metadata.resolver.filter.impl with type parameters of type EntityDescriptor
Modifier and Type
Field
Description
`private Multimap<Predicate<EntityDescriptor>,XMLObject>`
AlgorithmFilter.`applyMap`
Rules for adding algorithms.
`private Multimap<Predicate<EntityDescriptor>,Attribute>`
EntityAttributesFilter.`applyMap`
Rules for adding attributes.
`private Multimap<Predicate<EntityDescriptor>,String>`
NameIDFormatFilter.`applyMap`
Rules for adding formats.
`private final Predicate<EntityDescriptor>`
PredicateFilter.`condition`
Matching predicate.
Methods in org.opensaml.saml.metadata.resolver.filter.impl that return types with arguments of type EntityDescriptor
Modifier and Type
Method
Description
`Predicate<EntityDescriptor>`
PredicateFilter.`getCondition()`
Get the predicate to be applied.
Methods in org.opensaml.saml.metadata.resolver.filter.impl with parameters of type EntityDescriptor
Modifier and Type
Method
Description
`protected void`
AlgorithmFilter.`addEncryptionMethod(EntityDescriptor descriptor, EncryptionMethod encryptionMethod)`
Add `EncryptionMethod` extension to every `KeyDescriptor` found in an entity.
`private void`
EntityAttributesFilter.`addEntityAttribute(EntityDescriptor descriptor, EntityAttributes container, Attribute input)`
Get or create `Attribute` based on the input/template object.
`private void`
EntityAttributesFilter.`applyFilter(EntityDescriptor descriptor)`
Apply include policy to metadata on input.
`protected void`
AlgorithmFilter.`filterEntityDescriptor(EntityDescriptor descriptor)`
Filters entity descriptor.
`protected void`
EntityAttributesFilter.`filterEntityDescriptor(EntityDescriptor descriptor)`
Filters entity descriptor.
`protected void`
EntityRoleFilter.`filterEntityDescriptor(EntityDescriptor descriptor)`
Filters entity descriptor roles.
`protected void`
NameIDFormatFilter.`filterEntityDescriptor(EntityDescriptor descriptor)`
Filters entity descriptor.
`protected Extensions`
AlgorithmFilter.`getExtensions(EntityDescriptor descriptor)`
Return existing `Extensions` object or create it first.
`protected void`
SignatureValidationFilter.`processEntityDescriptor(EntityDescriptor entityDescriptor, MetadataFilterContext context, boolean isRoot)`
Process the signatures on the specified EntityDescriptor and any signed children.
`protected void`
AlgorithmFilter.`removeExistingMethods(EntityDescriptor descriptor)`
Performs removal of existing methods if directed.
Method parameters in org.opensaml.saml.metadata.resolver.filter.impl with type arguments of type EntityDescriptor
Modifier and Type
Method
Description
`void`
AlgorithmFilter.`setRules(Map<Predicate<EntityDescriptor>,Collection<XMLObject>> rules)`
Set the mappings from `Predicate` to extensions of various types to apply.
`void`
EntityAttributesFilter.`setRules(Map<Predicate<EntityDescriptor>,Collection<Attribute>> rules)`
Set the mappings from `Predicate` to `Attribute` collection to apply.
`void`
NameIDFormatFilter.`setRules(Map<Predicate<EntityDescriptor>,Collection<String>> rules)`
Set the mappings from `Predicate` to format collection to apply.
Constructor parameters in org.opensaml.saml.metadata.resolver.filter.impl with type arguments of type EntityDescriptor
Modifier
Constructor
Description
``
`PredicateFilter(PredicateFilter.Direction dir, Predicate<EntityDescriptor> theCondition)`
Constructor.

## Uses of EntityDescriptor in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl with type parameters of type EntityDescriptor
Modifier and Type
Field
Description
`private CriterionPredicateRegistry<EntityDescriptor>`
AbstractMetadataResolver.`criterionPredicateRegistry`
Registry used in resolving predicates from criteria.
`private Iterator<EntityDescriptor>`
CompositeMetadataResolver.CompositeMetadataResolverIterable.CompositeMetadataResolverIterator.`currentResolverMetadataIterator`
Iterator over the results of the current resolver.
`private final Map<String,List<EntityDescriptor>>`
AbstractMetadataResolver.EntityBackingStore.`indexedDescriptors`
Index of entity IDs to their descriptors.
`private Predicate<EntityDescriptor>`
AbstractDynamicMetadataResolver.`initializationFromCachePredicate`
Predicate which determines whether a given entity should be loaded from the persistent cache at resolver initialization time.
`private final List<EntityDescriptor>`
AbstractMetadataResolver.EntityBackingStore.`orderedDescriptors`
Ordered list of entity descriptors.
`private Function<EntityDescriptor,String>`
AbstractDynamicMetadataResolver.`persistentCacheKeyGenerator`
Function for generating the String key used with the cache manager.
`private XMLObjectLoadSaveManager<EntityDescriptor>`
AbstractDynamicMetadataResolver.`persistentCacheManager`
The manager for the persistent cache store for resolved metadata.
`private final MetadataIndexManager<EntityDescriptor>`
AbstractBatchMetadataResolver.BatchEntityBackingStore.`secondaryIndexManager`
Manager for secondary indexes.
Methods in org.opensaml.saml.metadata.resolver.impl that return EntityDescriptor
Modifier and Type
Method
Description
`EntityDescriptor`
CompositeMetadataResolver.CompositeMetadataResolverIterable.CompositeMetadataResolverIterator.`next()`
`EntityDescriptor`
AbstractMetadataResolver.`resolveSingle(CriteriaSet criteria)`
`EntityDescriptor`
CompositeMetadataResolver.`resolveSingle(CriteriaSet criteria)`
Methods in org.opensaml.saml.metadata.resolver.impl that return types with arguments of type EntityDescriptor
Modifier and Type
Method
Description
`protected Iterable<EntityDescriptor>`
AbstractBatchMetadataResolver.`doResolve(CriteriaSet criteria)`
Subclasses should override this method.
`protected Iterable<EntityDescriptor>`
AbstractDynamicMetadataResolver.`doResolve(CriteriaSet criteria)`
Subclasses should override this method.
`protected abstract Iterable<EntityDescriptor>`
AbstractMetadataResolver.`doResolve(CriteriaSet criteria)`
Subclasses should override this method.
`XMLObjectLoadSaveManager<EntityDescriptor>`
AbstractDynamicMetadataResolver.`ensurePersistentCacheManager()`
Get the manager for the persistent cache store for resolved metadata, raising a `ConstraintViolationException` if null.
`CriterionPredicateRegistry<EntityDescriptor>`
AbstractMetadataResolver.`getCriterionPredicateRegistry()`
Get the registry used in resolving predicates from criteria.
`Map<String,List<EntityDescriptor>>`
AbstractMetadataResolver.EntityBackingStore.`getIndexedDescriptors()`
Get the entity descriptor index.
`Predicate<EntityDescriptor>`
AbstractDynamicMetadataResolver.`getInitializationFromCachePredicate()`
Get the predicate which determines whether a given entity should be loaded from the persistent cache at resolver initialization time.
`List<EntityDescriptor>`
AbstractMetadataResolver.EntityBackingStore.`getOrderedDescriptors()`
Get the ordered entity descriptor list.
`Function<EntityDescriptor,String>`
AbstractDynamicMetadataResolver.`getPersistentCacheKeyGenerator()`
Get the function for generating the String key used with the persistent cache manager.
`XMLObjectLoadSaveManager<EntityDescriptor>`
AbstractDynamicMetadataResolver.`getPersistentCacheManager()`
Get the manager for the persistent cache store for resolved metadata.
`MetadataIndexManager<EntityDescriptor>`
AbstractBatchMetadataResolver.BatchEntityBackingStore.`getSecondaryIndexManager()`
Get the secondary index manager.
`Iterator<EntityDescriptor>`
AbstractBatchMetadataResolver.`iterator()`
`Iterator<EntityDescriptor>`
CompositeMetadataResolver.CompositeMetadataResolverIterable.`iterator()`
`protected Optional<Set<EntityDescriptor>>`
AbstractBatchMetadataResolver.`lookupByIndexes(CriteriaSet criteria)`
Resolve the set up descriptors based on the indexes currently held.
`protected Iterable<EntityDescriptor>`
AbstractDynamicMetadataResolver.`lookupCriteria(CriteriaSet criteria)`
Lookup and return all EntityDescriptors currently available in the resolver cache which match either entityID or secondary-indexed criteria.
`protected List<EntityDescriptor>`
AbstractDynamicMetadataResolver.`lookupEntityID(String entityID)`
Get list of descriptors matching an entityID.
`protected List<EntityDescriptor>`
AbstractMetadataResolver.`lookupEntityID(String entityID)`
Get list of descriptors matching an entityID.
`protected List<EntityDescriptor>`
AbstractMetadataResolver.`lookupIndexedEntityID(String entityID)`
Lookup the specified entityID from the index.
`protected Iterable<EntityDescriptor>`
AbstractMetadataResolver.`predicateFilterCandidates(Iterable<EntityDescriptor> candidates, CriteriaSet criteria, boolean onEmptyPredicatesReturnEmpty)`
Filter the supplied candidates by resolving predicates from the supplied criteria and applying the predicates to return a filtered `Iterable`.
`protected List<EntityDescriptor>`
AbstractDynamicMetadataResolver.`processNonEntityIDFetchedEntittiesDescriptor(EntitiesDescriptor entities)`
Process an EntitiesDescriptor received from a non-entityID-based fetch.
`protected List<EntityDescriptor>`
AbstractDynamicMetadataResolver.`processNonEntityIDFetchedEntityDescriptor(EntityDescriptor entity)`
Process an EntityDescriptor received from a non-entityID-based fetch.
`Iterable<EntityDescriptor>`
AbstractMetadataResolver.`resolve(CriteriaSet criteria)`
`Iterable<EntityDescriptor>`
CompositeMetadataResolver.`resolve(CriteriaSet criteria)`
`protected Iterable<EntityDescriptor>`
AbstractDynamicMetadataResolver.`resolveFromOriginSource(CriteriaSet criteria, String entityID)`
Fetch metadata from an origin source based on the input criteria, store it in the backing store and then return it.
`protected Iterable<EntityDescriptor>`
AbstractDynamicMetadataResolver.`resolveFromOriginSourceWithEntityID(CriteriaSet criteria, String entityID)`
Fetch metadata from an origin source based on the input criteria when the entityID is known, store it in the backing store and then return it.
`protected Iterable<EntityDescriptor>`
AbstractDynamicMetadataResolver.`resolveFromOriginSourceWithoutEntityID(CriteriaSet criteria)`
Fetch metadata from an origin source based on the input criteria when the entityID is not known, store it in the backing store and then return it.
Methods in org.opensaml.saml.metadata.resolver.impl with parameters of type EntityDescriptor
Modifier and Type
Method
Description
`String`
AbstractDynamicMetadataResolver.DefaultCacheKeyGenerator.`apply(EntityDescriptor input)`
`protected Instant`
AbstractDynamicMetadataResolver.`computeExpirationTime(EntityDescriptor entityDescriptor, Instant now)`
Compute the effective expiration time for the specified metadata.
`protected void`
AbstractBatchMetadataResolver.`indexEntityDescriptor(EntityDescriptor entityDescriptor, AbstractMetadataResolver.EntityBackingStore backingStore)`
Index the specified entity descriptor, updating the specified entity backing store instance as necessary.
`protected void`
AbstractDynamicMetadataResolver.`indexEntityDescriptor(EntityDescriptor entityDescriptor, AbstractMetadataResolver.EntityBackingStore backingStore)`
Index the specified entity descriptor, updating the specified entity backing store instance as necessary.
`protected void`
AbstractMetadataResolver.`indexEntityDescriptor(EntityDescriptor entityDescriptor, AbstractMetadataResolver.EntityBackingStore backingStore)`
Index the specified entity descriptor, updating the specified entity backing store instance as necessary.
`private void`
AbstractDynamicMetadataResolver.`logMetadataExpiration(EntityDescriptor descriptor, Instant now, Instant nextRefresh)`
Check metadata for expiration or pending expiration and log appropriately.
`protected void`
AbstractDynamicMetadataResolver.`preProcessEntityDescriptor(EntityDescriptor entityDescriptor, AbstractMetadataResolver.EntityBackingStore backingStore)`
Pre-process the specified entity descriptor, updating the specified entity backing store instance as necessary.
`protected void`
AbstractMetadataResolver.`preProcessEntityDescriptor(EntityDescriptor entityDescriptor, AbstractMetadataResolver.EntityBackingStore backingStore)`
Pre-process the specified entity descriptor, updating the specified entity backing store instance as necessary.
`protected List<EntityDescriptor>`
AbstractDynamicMetadataResolver.`processNonEntityIDFetchedEntityDescriptor(EntityDescriptor entity)`
Process an EntityDescriptor received from a non-entityID-based fetch.
`protected void`
AbstractDynamicMetadataResolver.`processPersistentCacheEntry(String currentKey, EntityDescriptor descriptor)`
Process an entry loaded from the persistent cache.
Method parameters in org.opensaml.saml.metadata.resolver.impl with type arguments of type EntityDescriptor
Modifier and Type
Method
Description
`protected Iterable<RoleDescriptor>`
PredicateRoleDescriptorResolver.`getAllCandidates(Iterable<EntityDescriptor> entityDescriptors)`
Obtain all role descriptors contained by the input entity descriptors.
`protected Iterable<RoleDescriptor>`
PredicateRoleDescriptorResolver.`getCandidatesByRoleAndProtocol(Iterable<EntityDescriptor> entityDescriptors, CriteriaSet criteria)`
Obtain the role descriptors contained by the input entity descriptors which match the specified role and protocol criteria.
`protected Iterable<EntityDescriptor>`
AbstractMetadataResolver.`predicateFilterCandidates(Iterable<EntityDescriptor> candidates, CriteriaSet criteria, boolean onEmptyPredicatesReturnEmpty)`
Filter the supplied candidates by resolving predicates from the supplied criteria and applying the predicates to return a filtered `Iterable`.
`void`
AbstractMetadataResolver.`setCriterionPredicateRegistry(CriterionPredicateRegistry<EntityDescriptor> registry)`
Set the registry used in resolving predicates from criteria.
`void`
AbstractDynamicMetadataResolver.`setInitializationFromCachePredicate(Predicate<EntityDescriptor> predicate)`
Set the predicate which determines whether a given entity should be loaded from the persistent cache at resolver initialization time.
`void`
AbstractDynamicMetadataResolver.`setPersistentCacheKeyGenerator(Function<EntityDescriptor,String> generator)`
Set the function for generating the String key used with the persistent cache manager.
`void`
AbstractDynamicMetadataResolver.`setPersistentCacheManager(XMLObjectLoadSaveManager<EntityDescriptor> manager)`
Set the manager for the persistent cache store for resolved metadata.

## Uses of EntityDescriptor in org.opensaml.saml.metadata.resolver.index

Methods in org.opensaml.saml.metadata.resolver.index with parameters of type EntityDescriptor
Modifier and Type
Method
Description
`Set<MetadataIndexKey>`
MetadataIndex.`generateKeys(EntityDescriptor descriptor)`
Generate a set of one or more `MetadataIndexKey` instances based on the input `EntityDescriptor`.

## Uses of EntityDescriptor in org.opensaml.saml.metadata.resolver.index.impl

Fields in org.opensaml.saml.metadata.resolver.index.impl with type parameters of type EntityDescriptor
Modifier and Type
Field
Description
`private Function<EntityDescriptor,Set<MetadataIndexKey>>`
FunctionDrivenMetadataIndex.`descriptorStrategy`
Function for producing index keys from an EntityDescriptor.
`private final Function<EntityDescriptor,T>`
MetadataIndexManager.`entityDescriptorFunction`
Function to extract the data item to be indexed from an EntityDescriptor.
`private List<Function<EntityDescriptor,Set<MetadataIndexKey>>>`
SAMLArtifactMetadataIndex.`indexingFunctions`
Indexing function instance to use.
Methods in org.opensaml.saml.metadata.resolver.index.impl that return EntityDescriptor
Modifier and Type
Method
Description
`EntityDescriptor`
MetadataIndexManager.IdentityExtractionFunction.`apply(EntityDescriptor input)`
Methods in org.opensaml.saml.metadata.resolver.index.impl with parameters of type EntityDescriptor
Modifier and Type
Method
Description
`String`
MetadataIndexManager.EntityIDExtractionFunction.`apply(EntityDescriptor input)`
`EntityDescriptor`
MetadataIndexManager.IdentityExtractionFunction.`apply(EntityDescriptor input)`
`Set<MetadataIndexKey>`
SAMLArtifactMetadataIndex.EntityIDToSHA1SourceIDIndexingFunction.`apply(EntityDescriptor descriptor)`
`Set<MetadataIndexKey>`
SAMLArtifactMetadataIndex.SourceIDExtensionIndexingFunction.`apply(EntityDescriptor descriptor)`
`Set<MetadataIndexKey>`
SAMLArtifactMetadataIndex.SourceLocationIndexingFunction.`apply(EntityDescriptor descriptor)`
`void`
MetadataIndexManager.`deindexEntityDescriptor(EntityDescriptor descriptor)`
Remove from the index the specified `EntityDescriptor` based on the indexes currently held.
`Set<MetadataIndexKey>`
EndpointMetadataIndex.`generateKeys(EntityDescriptor descriptor)`
Generate a set of one or more `MetadataIndexKey` instances based on the input `EntityDescriptor`.
`Set<MetadataIndexKey>`
FunctionDrivenMetadataIndex.`generateKeys(EntityDescriptor descriptor)`
Generate a set of one or more `MetadataIndexKey` instances based on the input `EntityDescriptor`.
`Set<MetadataIndexKey>`
RoleMetadataIndex.`generateKeys(EntityDescriptor descriptor)`
Generate a set of one or more `MetadataIndexKey` instances based on the input `EntityDescriptor`.
`Set<MetadataIndexKey>`
SAMLArtifactMetadataIndex.`generateKeys(EntityDescriptor descriptor)`
Generate a set of one or more `MetadataIndexKey` instances based on the input `EntityDescriptor`.
`void`
MetadataIndexManager.`indexEntityDescriptor(EntityDescriptor descriptor)`
Index the specified `EntityDescriptor` based on the indexes currently held.
Constructor parameters in org.opensaml.saml.metadata.resolver.index.impl with type arguments of type EntityDescriptor
Modifier
Constructor
Description
``
`FunctionDrivenMetadataIndex(Function<EntityDescriptor,Set<MetadataIndexKey>> descriptorFunction, Function<CriteriaSet,Set<MetadataIndexKey>> criteriaFunction)`
Constructor.
``
`LockableMetadataIndexManager(Set<MetadataIndex> initIndexes, Function<EntityDescriptor,T> extractionFunction)`
Constructor.
``
`MetadataIndexManager(Set<MetadataIndex> initIndexes, Function<EntityDescriptor,T> extractionFunction)`
Constructor.
``
`SAMLArtifactMetadataIndex(List<Function<EntityDescriptor,Set<MetadataIndexKey>>> descriptorIndexingFunctions)`
Constructor.

## Uses of EntityDescriptor in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type EntityDescriptor
Modifier and Type
Method
Description
`List<EntityDescriptor>`
EntitiesDescriptor.`getEntityDescriptors()`
Gets a list of child `EntityDescriptor`s.

## Uses of EntityDescriptor in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement EntityDescriptor
Modifier and Type
Class
Description
`class`
`EntityDescriptorImpl`
Concretate implementation of `EntityDescriptor`.
Methods in org.opensaml.saml.saml2.metadata.impl that return EntityDescriptor
Modifier and Type
Method
Description
`EntityDescriptor`
EntityDescriptorBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`EntityDescriptor`
EntityDescriptorBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type EntityDescriptor
Modifier and Type
Method
Description
`List<EntityDescriptor>`
EntitiesDescriptorImpl.`getEntityDescriptors()`
Gets a list of child `EntityDescriptor`s.